// Datei : Intro.h

// -------------------------------------------------------------------------------------- 
//
// Klasse fr das Hurrican Intro
//
// (c) 2006 Jrg M. Winterstein
//
// --------------------------------------------------------------------------------------

#ifndef __INTRO_H_
#define __INTRO_H_

// --------------------------------------------------------------------------------------
// Inlcudces
// --------------------------------------------------------------------------------------

#include "Globals.h"
#include "DX8Font.h"
#include "DX8Sprite.h"
#include "Timer.h"

// --------------------------------------------------------------------------------------
// Defines
// --------------------------------------------------------------------------------------

//----- Zustnde

#define INTRO_FADEIN			0
#define INTRO_RUN				1
#define INTRO_FADEOUT			2
#define INTRO_DONE				3

// --------------------------------------------------------------------------------------
// Klassen Deklaration fr das Intro
// --------------------------------------------------------------------------------------

class IntroClass
{
	private:
		DirectGraphicsSprite	Background[6];		
		int						BildNr;
		int						TextOff;
		float					Counter;

	public:
		int						Zustand;
			IntroClass(void);							// Konstruktor
		   ~IntroClass(void);							// Destruktor
	   void DoIntro   (void);							// Intro ablaufen lassen
	   void EndIntro  (void);

};

#endif
